Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan Bartel2015-09-16 05:13:47 -0400
committerJan Bartel2015-09-16 05:13:47 -0400
commit03a601f2b246a278961203a4b183100156d44dc1 (patch)
treecfee35a61e487eb0a5a3eddfe599bffb2bfd5fbe /jetty-osgi/jetty-osgi-boot/pom.xml
parentedce119c0e8a9ca050cfc5fc7cca728586dbdb59 (diff)
downloadorg.eclipse.jetty.project-03a601f2b246a278961203a4b183100156d44dc1.tar.gz
org.eclipse.jetty.project-03a601f2b246a278961203a4b183100156d44dc1.tar.xz
org.eclipse.jetty.project-03a601f2b246a278961203a4b183100156d44dc1.zip
477385 Make jetty osgi manifests only resolve jetty packages against a single distro version
Diffstat (limited to 'jetty-osgi/jetty-osgi-boot/pom.xml')
-rw-r--r--jetty-osgi/jetty-osgi-boot/pom.xml4
1 files changed, 1 insertions, 3 deletions
diff --git a/jetty-osgi/jetty-osgi-boot/pom.xml b/jetty-osgi/jetty-osgi-boot/pom.xml
index 47bdf2f942..c2dcea6a03 100644
--- a/jetty-osgi/jetty-osgi-boot/pom.xml
+++ b/jetty-osgi/jetty-osgi-boot/pom.xml
@@ -93,7 +93,7 @@
<instructions>
<Bundle-SymbolicName>org.eclipse.jetty.osgi.boot;singleton:=true</Bundle-SymbolicName>
<Bundle-Activator>org.eclipse.jetty.osgi.boot.JettyBootstrapActivator</Bundle-Activator>
- <DynamicImport-Package>org.eclipse.jetty.*;version="[9.1,10.0)"</DynamicImport-Package>
+ <DynamicImport-Package>org.eclipse.jetty.*;version="[$(version;===;${parsedVersion.osgiVersion}),$(version;==+;${parsedVersion.osgiVersion}))"</DynamicImport-Package>
<Import-Package>javax.mail;version="1.4.0";resolution:=optional,
javax.mail.event;version="1.4.0";resolution:=optional,
javax.mail.internet;version="1.4.0";resolution:=optional,
@@ -103,8 +103,6 @@
javax.servlet.http;version="[3.1,3.2)",
javax.transaction;version="1.1.0";resolution:=optional,
javax.transaction.xa;version="1.1.0";resolution:=optional,
- org.eclipse.jetty.annotations;version="9.1";resolution:=optional,
- org.eclipse.jetty.plus.webapp;version="9.1";resolution:=optional,
org.objectweb.asm;version=4;resolution:=optional,
org.osgi.framework,
org.osgi.service.cm;version="1.2.0",

Back to the top